Bug 103625 - ksconfig --generate failure bug
Summary: ksconfig --generate failure bug
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-kickstart (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-03 10:18 UTC by Gareth Bromley
Modified: 2007-04-18 16:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-14 22:25:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gareth Bromley 2003-09-03 10:18:46 UTC
Description of problem:
[root@test21 root]# /usr/sbin/ksconfig -generate /tmp/file                     
Traceback (most recent call last):
  File "/usr/share/redhat-config-kickstart/redhat-config-kickstart.py", line 
60, in ?
    useCliMode(value)
  File "/usr/share/redhat-config-kickstart/redhat-config-kickstart.py", line 
43, in useCliMode
    import profileSystem
  File "/usr/share/redhat-config-kickstart/profileSystem.py", line 28, in ?
    import languageBackend
ImportError: No module named languageBackend
[root@test21 root]#


Version-Release number of selected component (if applicable):
2.3.6 possibly before also

How reproducible:
/usr/sbin/ksconfig -generate nameOfKSFile

Steps to Reproduce:
1. Run /usr/sbin/ksconfig -generate nameOfKSFile
2.
3.
    
Actual results:
Traceback (most recent call last):
  File "/usr/share/redhat-config-kickstart/redhat-config-kickstart.py", line 
60, in ?
    useCliMode(value)
  File "/usr/share/redhat-config-kickstart/redhat-config-kickstart.py", line 
43, in useCliMode
    import profileSystem
  File "/usr/share/redhat-config-kickstart/profileSystem.py", line 28, in ?
    import languageBackend
ImportError: No module named languageBackend


Expected results:


Additional info:
Fix I found was:
1 - cp /usr/share/redhat-config-language/language_backend.py
/usr/share/redhat-config-language/languageBackend.py
2 - Edit /usr/share/redhat-config-language/languageBackend.py and
change:
    class LanguageBackend:
    to
    class languageBackend:

Comment 1 Brent Fox 2003-10-14 22:25:25 UTC
Should be fixed in redhat-config-kickstart-2.4.2-1.

Comment 2 Steffen Mann 2003-12-12 11:42:31 UTC
This Bug actually made it's way into Red Hat Enterprise Linux 3 and is
exactly the same error message.

Steffen

Comment 3 Brent Fox 2003-12-12 19:51:40 UTC
RHEL 3 was frozen before this bug was fixed.


Note You need to log in before you can comment on or make changes to this bug.